# dictionary containing custom properties to be set
properties = {}
properties['subscription.1.monitor-event-type'] = 'EVENT_THROWN'
properties['subscription.2.element-type'] = 'PROCESS'

#get the resource environment entry
resourceEnvEntryName = 'BPM_MonitoringEventEmitter'
resourceEnvEntry = AdminConfig.getid('/ResourceEnvEntry:%s/' % resourceEnvEntryName)

# get the resource property set attribute
resourcePropertySet = AdminConfig.showAttribute(resourceEnvEntry, 'propertySet')

# create a new resource property set if needed
if not resourcePropertySet:
    resourcePropertySet = AdminConfig.create('J2EEResourcePropertySet', resourceEnvEntry, []) 

# create the resource properties
for name, value in properties.items():
    print 'Adding custom property %s = %s' % (name, value) 
    attributes = []
    attributes.append(['name', name])
    attributes.append(['value', value])
    attributes.append(['type', 'java.lang.String'])
    resourceProperty = AdminConfig.create('J2EEResourceProperty', resourcePropertySet, attributes)

# save
# AdminConfig.save()

# sync
# AdminNodeManagement.syncActiveNodes()
