# cell target scope
scope = AdminConfig.getid('/Cell:/')

# example cluster target scope
# clusterName = 'AppTarget'
# scope=AdminConfig.getid('/ServerCluster:%s/ClusterMember:/' % clusterName)

# example server scope (stand-alone)
# scope = AdminConfig.getid('/Server:/')

# example server scope (specific server on specific node)
# nodeName = 'nodename1'
# serverName = 'server1'
# scope = AdminConfig.getid('/Node:%s/Server:%s/' % (nodeName, serverName))

# create a resource environment provider
# Resource environment providers > New... 
params = []
params.append(['name','BPM_MonitoringEventEmitter'])
params.append(['description', 'Provides custom monitoring event emission registration configuration.'])
resourceEnvironmentProvider = AdminConfig.create('ResourceEnvironmentProvider', scope, params)

# create a referenceable
# Resource environment providers > BPM_ConfigurableMonitoringEventEmitterListenerRegistration > Referenceables > New...
params = []
params.append(['factoryClassname','com.ibm.bpm.server.monitor.emitter.naming.SubscriptionsFactory'])
params.append(['classname', 'com.ibm.bpm.server.monitor.emitter.config.Subscriptions'])
referenceable = AdminConfig.create('Referenceable', resourceEnvironmentProvider, params)

# create a resource environment entry
# Resource environment providers > BPM_ConfigurableMonitoringEventEmitterListenerRegistration > Resource environment entries > New...
params = []
params.append(['name','BPM_MonitoringEventEmitter'])
params.append(['description', 'Custom monitoring event emission registration configuration.'])
params.append(['jndiName','bpm/subscriptions/default'])
params.append(['referenceable', referenceable])
AdminConfig.create('ResourceEnvEntry', resourceEnvironmentProvider, params)

# save
# AdminConfig.save()

# sync
# AdminNodeManagement.syncActiveNodes()
